#
# spec file for package python-oktaloginwrapper
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-oktaloginwrapper
Version:        0.2.2
Release:        3.1
Summary:        Okta login without API token
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/eliroca/OktaLoginWrapper
Source:         https://github.com/eliroca/OktaLoginWrapper/archive/%{version}.tar.gz#/OktaLoginWrapper-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-lxml
Requires:       python-requests
BuildArch:      noarch
%python_subpackages

%description
This modules provides a way for scripts to access resources behind
an Okta SSO solution, without the need for an API token.

%prep
%autosetup -n OktaLoginWrapper-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/oktaloginwrapper
%{python_sitelib}/oktaloginwrapper-%{version}*-info

%changelog
* Mon Jun  2 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Sun Aug 22 2021 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from description.
* Mon Aug  9 2021 Elisei Roca <eroca@suse.com> - 0.2.2
- initial commit of OktaLoginWrapper 0.2.2
  * Python 3 only
  * Upstream repo is a fork (original repo is archived)
